import java.util.Scanner;

class PGAffPairs2b {


public static void main(String[] args)
{
  Scanner input = new Scanner(System.in);
  int n;
  System.out.print("n? ");
  n = input.nextInt();
  for (int j = 2; j <= n; j += 2)
  {
    System.out.print(j + " ");
  }
  System.out.print("\n");
}

}
